package model

// const (
// 	// 1 体力 2 挑战者卷轴 3 精力 4 神秘卷轴
// 	StaminaType = 1
// 	DefierType  = 2
// 	EnergyType  = 3
// 	MysteryType = 4
// )

// const (
// 	ItemIdStamina = 2005
// 	ItemIdEntry   = 2007
// )

// 体力类型-BrawnType exported from 体力相关表.xlsx
type BrawnType struct {
	UId          int64  `json:"UId"`          // 门票编号
	Name         string `json:"Name"`         // 门票名字
	RestoreMax   int64  `json:"RestoreMax"`   // 最大恢复上限 到此上限后停止恢复 但不影响获得 -1：不会停止
	RestoreSpeed int64  `json:"RestoreSpeed"` // 恢复速度 x秒恢复1点 /秒
	ItemId       int64  `json:"ItemId"`       // 匹配道具ID
	Price        int64  `json:"Price"`        // 购买价格 /钻 -1：不可购买
	Quota        int64  `json:"Quota"`        // 每日限购数
	Single       int64  `json:"Single"`       // 单次购买数
	AdBuyID      int64  `json:"AdBuyID"`      // 广告点购买ID -1：没有
	AdBuyNum     int64  `json:"AdBuyNum"`     // 广告购买次数
} // package model

// 门票类型-Ticket exported from 体力相关表.xlsx
type Ticket struct {
	UId          int64  `json:"UId"`          // 门票编号
	Name         string `json:"Name"`         // 门票名字
	InitNum      int64  `json:"InitNum"`      // 玩家初始量
	RestoreSpeed int64  `json:"RestoreSpeed"` // 恢复速度 x秒恢复1点 /秒
	ItemId       int64  `json:"ItemId"`       // 匹配道具ID
}

// 恢复一点需要的时间
func (b *BrawnType) GetRestoreTimeLenP1() int64 {
	return b.RestoreSpeed
}

func (b *BrawnType) GetMaxValue() int64 {
	return b.RestoreMax
}

// 恢复一点需要的时间
func (t *Ticket) GetRestoreTimeLenP1() int64 {
	return t.RestoreSpeed
}

func (t *Ticket) GetRestoreItemId() int64 {
	return t.ItemId
}
